Brep.CreateFromLoftRebuild curve Direction
@jordy1989 wrote: Hi I try to create a loft. The curves are in the right order. Dim loftBr() As Brep = Brep.CreateFromLoftRebuild(dirList, Point3d.Unset, Point3d.Unset, LoftType.Normal, False, 100)...
View ArticleHow to implement C# in Rhino page
@xsh2007_good wrote: The picture of the Rhino page with C# to achieve;The red box logo area Posts: 2 Participants: 2 Read full topic
View ArticleMesh from closed polyline
@BiljanaN wrote: Hi allI use Rhino command Mesh From Closed Polyline. Now I need to use this option like C++ function, but I can't find the function like that. Can anyone help me?? ThanksBiljana...
View ArticleHow do I get command bar options to save? Rhino student needs help!
@eebs99 wrote: I learned how to create and use command bar options in c#, and everything works. Something I'd like to change is not having to input the same option over and over again, if I put it...
View ArticleMicrosoft Visual Studio Community 2015
@Jess wrote: Continuing the discussion from What version Visual Studio 2013?: Hi Developers, @stevebaer; @dale @DavidRutten I have to install on a new Win10 computer and wonder if there are any IDE...
View ArticleDifficult thing about pick objects
@stjackin wrote: Hi there. Is it possible to write a funciton that we can get objects which are close to a certain point?I hope there will be some efficent way,but not check object one by...
View ArticleI just created a curve using C#. How can I get the code to find the curve I...
@ibrahimxm17 wrote: So far, I'm know to use: doc.Objects.AddCurve(Rhino.Geometry.Curve.CreateInterpolatedCurve( points, degree, knotStyle ));doc.Objects.Delete( doc.Objects.Find(???), true ); but...
View ArticleFeature Request : Rhino Document Guid / ID
@tree wrote: Dear Rhino Development Team, I would like to formally request the addition of a Rhino File Attribute - ID. (GUID) A unique ID that can be accessed for a file to determine the true...
View ArticleIs it possible to create a TextObject with the API?
@holoped wrote: I'm trying to use the scripting API to create 3D text, but the only function I can find is "AddText" - that creates a "Text" but not a "TextObject". Is it possible to create a...
View ArticleUsing C#, how do I enable the user press the Escape button to stop a process...
@eebs99 wrote: I have an infinite while loop in my code drawing a random increasing curve. At any given time I want to press escape to stop the process, but when I use the GetString() function it...
View ArticleTrim PlaneSurface with a closed Curve as Outerloop
@PhilO wrote: Hi, I am trying to trim a PlaneSurface with a closed Curve. I tried following method : Rhino.Geometry.Brep.Loops.AddPlanarFaceLoop(faceindex, Rhino.Geometry.BrepLoopType.Outer, Curve [1]...
View ArticleRhinocommon com transition error (C#)
@ranrozin wrote: I have an evaluation license to Rhino and I write a plugin in c#.For some reason I get a com error all the time, even with the basic sample code I downloaded from the forum.I use...
View ArticleUsing C#, how do I get a keyboard input from user that is not an escape key?...
@ibrahimxm17 wrote: I'm not too familiar with the event functions in C#, so I'm looking for a an example of a short, effective script that can allow the user to press any key (like the space key, for...
View ArticleCommand Bar doesn't clear when I get a string
@eebs99 wrote: I call the GetString method, then when I successfully get a string I call a method I created. Here's a part of code: if (get_rc == Rhino.Input.GetResult.String) { intervals =...
View ArticleShaded display pipeline
@menno wrote: @stevebaer Could you tell me what is the difference between DisplayPipeline.ShadingRequired DisplayPipeline.SupportsShading DisplayPipeline.DisplayPipelineAttributes.ShadingEnabled Which...
View ArticleHow to use CreateExtrusion or else function to finish Boss function?
@kaicihuang wrote: I would like to implement a function like Boss command.I have no...
View ArticleIntegrating extend and trim in their respective partners
@benjamin wrote: Is it possible to integrate both Extend and Trim into the other command, so while trimming if you hold control the curve extends, and vice versa for the extend command. It would speed...
View ArticleExtending Rhino for Bim and parametric enginering
@ozric wrote: Hi,I have been using RhinoCommon to extend Rhino/GH for parametric engineering and BIMesq functionality.I would appreciate if you proposed the best strategy to implement this.Should I...
View ArticleRhp file association
@Keith1634 wrote: With the latest install of Rhino3d - are .rhp files automatically associated with Rhino3d ? I have a customer with a ShellExecuteEX error 1155 when the .rhp file is double clicked....
View ArticleWhy a 2.1 document tolerance for joining breps
@Willem wrote: Hi, What is the reasoning behind allowing a tolerance of ModelAbsoluteTolerance * 2.1 in pythons JoinSurfaces method? Is this the tolerance for the Join command as well? I ask because...
View Article